﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.IO;

namespace WINDF7CSharp.Init
{
    public partial class FInit : Form
    {
        public FInit()
        {
            InitializeComponent();
            if (File.Exists("initpath.txt"))
            {
                StreamReader readfile = new StreamReader("initpath.txt");
                tBSource.Text = readfile.ReadLine();
                tBDest.Text = readfile.ReadToEnd();
            }
        }

        int cnt = 0;

        private void butCopy_Click(object sender, EventArgs e)
        {
            cnt = 0;
            try
            {
                File.Copy(tBSource.Text + "FormStudControl.cs", tBDest.Text + "FormStudControl.cs", true);
                cnt++;
            }
            catch (IOException ex)
            {
                MessageBox.Show("Cant Copy: " + ex.Message, Application.ProductName, 
                    MessageBoxButtons.OK, MessageBoxIcon.Exclamation);
            }
            try
            {
                File.Copy(tBSource.Text + "FormStudControl.designer.cs", tBDest.Text + "FormStudControl.designer.cs", true);
                cnt++;
            }
            catch (IOException ex)
            {
                MessageBox.Show("Cant Copy: " + ex.Message, Application.ProductName,
                    MessageBoxButtons.OK, MessageBoxIcon.Exclamation);
            }

            try
            {
                File.Copy(tBSource.Text + "FormStudControl.resx", tBDest.Text + "FormStudControl.resx", true);
                cnt++;
            }
            catch (IOException ex)
            {
                MessageBox.Show("Cant Copy: " + ex.Message, Application.ProductName,
                    MessageBoxButtons.OK, MessageBoxIcon.Exclamation);
            }

            try
            {
                File.Copy(tBSource.Text + "FormDRTKranregler.cs", tBDest.Text + "FormDRTKranregler.cs", true);
                cnt++;
            }
            catch (IOException ex)
            {
                MessageBox.Show("Cant Copy: " + ex.Message, Application.ProductName,
                    MessageBoxButtons.OK, MessageBoxIcon.Exclamation);
            }
            try
            {
                File.Copy(tBSource.Text + "FormDRTKranregler.designer.cs", tBDest.Text + "FormDRTKranregler.designer.cs", true);
                cnt++;
            }
            catch (IOException ex)
            {
                MessageBox.Show("Cant Copy: " + ex.Message, Application.ProductName,
                    MessageBoxButtons.OK, MessageBoxIcon.Exclamation);
            }

            try
            {
                File.Copy(tBSource.Text + "FormDRTKranregler.resx", tBDest.Text + "FormDRTKranregler.resx", true);
                cnt++;
            }
            catch (IOException ex)
            {
                MessageBox.Show("Cant Copy: " + ex.Message, Application.ProductName,
                    MessageBoxButtons.OK, MessageBoxIcon.Exclamation);
            }

            if (cnt == 6) labelOK.Text = "OK";
            else labelOK.Text = "NOT OK!!!";

        }

        private void FInit_FormClosing(object sender, FormClosingEventArgs e)
        {
            e.Cancel = true;
            this.Hide();
        }

        public void deutsch()
        {
            label1.Text = "Pfad des Original- Moduls FormStudControl ohne Stud- Regler";
            label2.Text = "Ziel - Pfad im Projekt";
            butCopy.Text = "Kopiere Dateien und vernichte alle alten Änderungen";
        }
    }
}
