﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.IO;

namespace WINDF7CSharp.ChartTools
{
    public partial class FormSaveCurve : Form
    {

        public ChartTool.Chart2D RefToChart2D=null;
        
        public FormSaveCurve()
        {
            InitializeComponent();

        }

        int curveselected = 0;
        string SaveCurve = "Save Curve ";
        string points = "Points : ";
        string curve = "Curve ";

        public void deutsch()
        {
            SaveCurve = "Speicher Kurve ";
            this.Text = "Speicher Kurve";
            points = "Punkte : ";
            curve = "Kurve ";
            groupBox1.Text = "x-Wert als";
            rBF.Text = "Frequenz f=(10^x)/2pi";
            rBLogx.Text = "x unverändert";
        }


        private void FormSaveCurve_Activated(object sender, EventArgs e)
        {
            rBCrv1.Visible = true;
            rBCrv2.Visible = true;
            rBCrv3.Visible = true;
            rBCrv4.Visible = true;
            rBCrv5.Visible = true;
            rBCrv6.Visible = true;
            rBCrv7.Visible = true;
            rBCrv8.Visible = true;
            rBCrv9.Visible = true;
            rBCrv10.Visible = true;
            rBCrv1.Text = curve + "1";
            rBCrv2.Text = curve + "2";
            rBCrv3.Text = curve + "3";
            rBCrv4.Text = curve + "4";
            rBCrv5.Text = curve + "5";
            rBCrv6.Text = curve + "6";
            rBCrv7.Text = curve + "7";
            rBCrv8.Text = curve + "8";
            rBCrv9.Text = curve + "9";
            rBCrv10.Text = curve + "10";
            rBCrv1.BackColor = RefToChart2D.CurveColor0;
            rBCrv2.BackColor = RefToChart2D.CurveColor1;
            rBCrv3.BackColor = RefToChart2D.CurveColor2;
            rBCrv4.BackColor = RefToChart2D.CurveColor3;
            rBCrv5.BackColor = RefToChart2D.CurveColor4;
            rBCrv6.BackColor = RefToChart2D.CurveColor5;
            rBCrv7.BackColor = RefToChart2D.CurveColor6;
            rBCrv8.BackColor = RefToChart2D.CurveColor7;
            rBCrv9.BackColor = RefToChart2D.CurveColor8;
            rBCrv10.BackColor = RefToChart2D.CurveColor9;
            if (RefToChart2D.Counter < 9) rBCrv10.Visible = false;
            if (RefToChart2D.Counter < 8) rBCrv9.Visible = false;
            if (RefToChart2D.Counter < 7) rBCrv8.Visible = false;
            if (RefToChart2D.Counter < 6) rBCrv7.Visible = false;
            if (RefToChart2D.Counter < 5) rBCrv6.Visible = false;
            if (RefToChart2D.Counter < 4) rBCrv5.Visible = false;
            if (RefToChart2D.Counter < 3) rBCrv4.Visible = false;
            if (RefToChart2D.Counter < 2) rBCrv3.Visible = false;
            if (RefToChart2D.Counter < 1) rBCrv2.Visible = false;
            if (RefToChart2D.Counter < 0)
            {
                rBCrv1.Visible = false;
                butSaveFile.Enabled = false;
                label2.Text = "";
                label3.Text = "";
            }
            else
            {
                butSaveFile.Enabled = true;
                rBCrv1_Click(sender, e);
            }
        }

        private void FormSaveCurve_FormClosing(object sender, FormClosingEventArgs e)
        {
            e.Cancel = true;
            this.Hide();
        }

         private void butSaveFile_Click(object sender, EventArgs e)
        {
            if (saveFileDialogSim.ShowDialog() == DialogResult.OK)
            {
                if (curveselected > 0)
                {
                    StreamWriter myStream1 = new StreamWriter(saveFileDialogSim.OpenFile(), Encoding.Default);
                    textBoxFile.Clear();
                    double[] poi;
                    double x;
                    int i = 0;
                    int nbofpoints = RefToChart2D.CurvePoints[curveselected - 1];
                    for (i = 0; i < nbofpoints - 1; i++)
                    {
                        poi = RefToChart2D.getPoint(curveselected - 1, i);//korr start 0
                        if (rBF.Checked) x = Math.Pow(10, poi[0]) / 2.0 / Math.PI;  // Conversion logw into frequency
                        else x = poi[0];
                        textBoxFile.AppendText(x.ToString() + " " + poi[1].ToString() + "\x0d" + "\x0a");
                    }
                    poi = RefToChart2D.getPoint(curveselected - 1, i);//korr start 0
                    if (rBF.Checked) x = Math.Pow(10, poi[0]) / 2.0 / Math.PI;  // Conversion logw into frequency
                    else x = poi[0];
                    textBoxFile.AppendText(x.ToString() + " " + poi[1].ToString());
                    myStream1.WriteLine(textBoxFile.Text);
                    myStream1.Close();
                }
            }

        }

         private void rBCrv1_Click(object sender, EventArgs e)
         {
             butSaveFile.Text = SaveCurve + "1";
             curveselected = 1;
             label2.Text = RefToChart2D.CurveNames[curveselected - 1];
             label3.Text = points + RefToChart2D.CurvePoints[curveselected - 1].ToString();
         }

         private void rBCrv2_Click(object sender, EventArgs e)
         {
             butSaveFile.Text = SaveCurve + "2";
             curveselected = 2;
             label2.Text = RefToChart2D.CurveNames[curveselected - 1];
             label3.Text = points + RefToChart2D.CurvePoints[curveselected - 1].ToString();
         }

         private void rBCrv3_Click(object sender, EventArgs e)
         {
             butSaveFile.Text = SaveCurve + "3";
             curveselected = 3;
             label2.Text = RefToChart2D.CurveNames[curveselected - 1];
             label3.Text = points + RefToChart2D.CurvePoints[curveselected - 1].ToString();
         }

         private void rBCrv4_Click(object sender, EventArgs e)
         {
             butSaveFile.Text = SaveCurve + "4";
             curveselected = 4;
             label2.Text = RefToChart2D.CurveNames[curveselected - 1];
             label3.Text = points + RefToChart2D.CurvePoints[curveselected - 1].ToString();
         }

         private void rBCrv5_Click(object sender, EventArgs e)
         {
             butSaveFile.Text = SaveCurve + "5";
             curveselected = 5;
             label2.Text = RefToChart2D.CurveNames[curveselected - 1];
             label3.Text = points + RefToChart2D.CurvePoints[curveselected - 1].ToString();
         }

         private void rBCrv6_Click(object sender, EventArgs e)
         {
             butSaveFile.Text = SaveCurve + "6";
             curveselected = 6;
             label2.Text = RefToChart2D.CurveNames[curveselected - 1];
             label3.Text = points + RefToChart2D.CurvePoints[curveselected - 1].ToString();
         }

         private void rBCrv7_Click(object sender, EventArgs e)
         {
             butSaveFile.Text = SaveCurve + "7";
             curveselected = 7;
             label2.Text = RefToChart2D.CurveNames[curveselected - 1];
             label3.Text = points + RefToChart2D.CurvePoints[curveselected - 1].ToString();
         }

         private void rBCrv8_Click(object sender, EventArgs e)
         {
             butSaveFile.Text = SaveCurve + "8";
             curveselected = 8;
             label2.Text = RefToChart2D.CurveNames[curveselected - 1];
             label3.Text = points + RefToChart2D.CurvePoints[curveselected - 1].ToString();
         }

         private void rBCrv9_Click(object sender, EventArgs e)
         {
             butSaveFile.Text = SaveCurve + "9";
             curveselected = 9;
             label2.Text = RefToChart2D.CurveNames[curveselected - 1];
             label3.Text = points + RefToChart2D.CurvePoints[curveselected - 1].ToString();
         }

         private void rBCrv10_Click(object sender, EventArgs e)
         {
             butSaveFile.Text = SaveCurve + "10";
             curveselected = 10;
             label2.Text = RefToChart2D.CurveNames[curveselected - 1];
             label3.Text = points + RefToChart2D.CurvePoints[curveselected - 1].ToString();
         }

         private void butSavecolPal_Click(object sender, EventArgs e)
         {
             if (saveFileDialogColPal.ShowDialog() == DialogResult.OK)
             {
                 StreamWriter myStream1 = new StreamWriter(saveFileDialogColPal.OpenFile(), Encoding.Default);
                 textBoxFile.Clear();
                 int col;
                 col = RefToChart2D.CurveColor0.ToArgb();
                 textBoxFile.AppendText(col.ToString() + "\x0d" + "\x0a");
                 col = RefToChart2D.CurveColor1.ToArgb();
                 textBoxFile.AppendText(col.ToString() + "\x0d" + "\x0a");
                 col = RefToChart2D.CurveColor2.ToArgb();
                 textBoxFile.AppendText(col.ToString() + "\x0d" + "\x0a");
                 col = RefToChart2D.CurveColor3.ToArgb();
                 textBoxFile.AppendText(col.ToString() + "\x0d" + "\x0a");
                 col = RefToChart2D.CurveColor4.ToArgb();
                 textBoxFile.AppendText(col.ToString() + "\x0d" + "\x0a");
                 col = RefToChart2D.CurveColor5.ToArgb();
                 textBoxFile.AppendText(col.ToString() + "\x0d" + "\x0a");
                 col = RefToChart2D.CurveColor6.ToArgb();
                 textBoxFile.AppendText(col.ToString() + "\x0d" + "\x0a");
                 col = RefToChart2D.CurveColor7.ToArgb();
                 textBoxFile.AppendText(col.ToString() + "\x0d" + "\x0a");
                 col = RefToChart2D.CurveColor8.ToArgb();
                 textBoxFile.AppendText(col.ToString() + "\x0d" + "\x0a");
                 col = RefToChart2D.CurveColor9.ToArgb();
                 textBoxFile.AppendText(col.ToString() + "\x0d" + "\x0a");

                 myStream1.WriteLine(textBoxFile.Text);
                 myStream1.Close();
             }
         }

         private void butloadColPal_Click(object sender, EventArgs e)
         {
             if (openFileDialogColPal1.ShowDialog() == DialogResult.OK)
             {
                 textBoxFile.Clear();
                 StreamReader myStream1 = new StreamReader(openFileDialogColPal1.OpenFile());
                 textBoxFile.Text = myStream1.ReadToEnd();
                 if (textBoxFile.Lines.Length>9)
                 {
                     RefToChart2D.CurveColor0 = Color.FromArgb(Convert.ToInt32(textBoxFile.Lines[0]));
                     RefToChart2D.CurveColor1 = Color.FromArgb(Convert.ToInt32(textBoxFile.Lines[1]));
                     RefToChart2D.CurveColor2 = Color.FromArgb(Convert.ToInt32(textBoxFile.Lines[2]));
                     RefToChart2D.CurveColor3 = Color.FromArgb(Convert.ToInt32(textBoxFile.Lines[3]));
                     RefToChart2D.CurveColor4 = Color.FromArgb(Convert.ToInt32(textBoxFile.Lines[4]));
                     RefToChart2D.CurveColor5 = Color.FromArgb(Convert.ToInt32(textBoxFile.Lines[5]));
                     RefToChart2D.CurveColor6 = Color.FromArgb(Convert.ToInt32(textBoxFile.Lines[6]));
                     RefToChart2D.CurveColor7 = Color.FromArgb(Convert.ToInt32(textBoxFile.Lines[7]));
                     RefToChart2D.CurveColor8 = Color.FromArgb(Convert.ToInt32(textBoxFile.Lines[8]));
                     RefToChart2D.CurveColor9 = Color.FromArgb(Convert.ToInt32(textBoxFile.Lines[9]));
                     rBCrv1.BackColor = RefToChart2D.CurveColor0;
                     rBCrv2.BackColor = RefToChart2D.CurveColor1;
                     rBCrv3.BackColor = RefToChart2D.CurveColor2;
                     rBCrv4.BackColor = RefToChart2D.CurveColor3;
                     rBCrv5.BackColor = RefToChart2D.CurveColor4;
                     rBCrv6.BackColor = RefToChart2D.CurveColor5;
                     rBCrv7.BackColor = RefToChart2D.CurveColor6;
                     rBCrv8.BackColor = RefToChart2D.CurveColor7;
                     rBCrv9.BackColor = RefToChart2D.CurveColor8;
                     rBCrv10.BackColor = RefToChart2D.CurveColor9;
                 }

             }
         }
    }
}
