﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace fuzzy
{
    public partial class FormFuzSetEdit : Form
    {
        FormFuzEditor frm1;
        public FormFuzSetEdit(FormFuzEditor m)
        {
            InitializeComponent();
            frm1=m;
        }
        public void deutsch()
        {
            radioButton1.Text = "Dreieck";
            radioButton2.Text = "Trapezoid";
            label1.Text = "Von";
            label2.Text = "bis";
            label3.Text = "Knickpunkt 1";
            label9.Text = "Knickpunkt 2";
            label7.Text = "Terme";
            label8.Text = "Kuerzel";
            button2.Text = "Abbrechen";

        }
        private void button2_Click(object sender, EventArgs e)
        {
            Hide();
        }
        private void Form2_FormClosing(object sender, FormClosingEventArgs e)
        {
            e.Cancel = true;
            Hide();
        }       
        private void button1_Click(object sender, EventArgs e)//button ok
        {
            if (label11.Text == "Input1")
            {
                if (radioButton1.Checked == true)//if "Triangle" is checked
                {
                    //update data in arrays depending on selected Term//
                    frm1.Typ[0, listBox1.SelectedIndex] = 1;
                    frm1.Setc[0, listBox1.SelectedIndex] = (double)Convert.ToDouble(textBox3.Text);
                }
                if (radioButton2.Checked == true)//if "Trapezoid" is checked
                {
                    //update data in arrays depending on selected Term//
                    frm1.Typ[0, listBox1.SelectedIndex] = 0;
                    frm1.Setc[0, listBox1.SelectedIndex] = (double)Convert.ToDouble(textBox7.Text);
                }
                //update dataset in arrays//
                frm1.inOutnames[0, 0] = textBox5.Text;
                frm1.names[0, listBox1.SelectedIndex] = textBox4.Text;
                frm1.names[1, listBox1.SelectedIndex] = textBox6.Text;
                frm1.Seta[0, listBox1.SelectedIndex] = (double)Convert.ToDouble(textBox1.Text);
                frm1.Setd[0, listBox1.SelectedIndex] = (double)Convert.ToDouble(textBox2.Text);
                frm1.Setb[0, listBox1.SelectedIndex] = (double)Convert.ToDouble(textBox3.Text);                
            }
            if (label11.Text == "Input2")//refer "if (label11.Text == "Input1")" for comments
            {
                if (radioButton1.Checked == true)
                {
                    frm1.Typ[1, listBox1.SelectedIndex] = 1;
                    frm1.Setc[1, listBox1.SelectedIndex] = (double)Convert.ToDouble(textBox3.Text);
                }
                if (radioButton2.Checked == true)
                {
                    frm1.Typ[1, listBox1.SelectedIndex] = 0;
                    frm1.Setc[1, listBox1.SelectedIndex] = (double)Convert.ToDouble(textBox7.Text);
                }
                frm1.inOutnames[0, 1] = textBox5.Text;
                frm1.names2[0, listBox1.SelectedIndex] = textBox4.Text;
                frm1.names2[1, listBox1.SelectedIndex] = textBox6.Text;
                frm1.Seta[1, listBox1.SelectedIndex] = (double)Convert.ToDouble(textBox1.Text);
                frm1.Setd[1, listBox1.SelectedIndex] = (double)Convert.ToDouble(textBox2.Text);
                frm1.Setb[1, listBox1.SelectedIndex] = (double)Convert.ToDouble(textBox3.Text);                
            }
            if (label11.Text == "Output")//refer "if (label11.Text == "Input1")" for comments
            {                
                frm1.inOutnames[0, 2] = textBox5.Text;
                frm1.Outnames[0, listBox1.SelectedIndex] = textBox4.Text;
                frm1.Outnames[1, listBox1.SelectedIndex] = textBox6.Text;
                frm1.setout[listBox1.SelectedIndex] = (double)Convert.ToDouble(textBox1.Text);
                if (textBox2.ReadOnly == false)
                {
                    frm1.setout[listBox1.SelectedIndex] = (double)Convert.ToDouble(textBox2.Text);
                }
                if (textBox3.ReadOnly == false)
                {
                    frm1.setout[listBox1.SelectedIndex] = (double)Convert.ToDouble(textBox3.Text);
                }
            }
            Hide();
            frm1.buttonSave_Click(sender, null);//save
            frm1.buttonDrawArray_Click(sender, null);//draw from arrays          
        }
        private void listBox1_Click(object sender, EventArgs e)
        {
            textBox7.ReadOnly = false;
            if (label11.Text == "Input1")
            {
                if (frm1.Typ[0, listBox1.SelectedIndex] == 0)
                {
                    radioButton2.Checked = true;
                }
                if (frm1.Typ[0, listBox1.SelectedIndex] == 1)
                {
                    radioButton1.Checked = true;
                    textBox7.ReadOnly = true;
                }
                textBox1.Text = frm1.Seta[0, listBox1.SelectedIndex].ToString();
                textBox2.Text = frm1.Setd[0, listBox1.SelectedIndex].ToString();
                textBox3.Text = frm1.Setb[0, listBox1.SelectedIndex].ToString();
                textBox7.Text = frm1.Setc[0, listBox1.SelectedIndex].ToString();
                textBox4.Text = frm1.names[0, listBox1.SelectedIndex];
                listBox2.SelectedIndex = listBox1.SelectedIndex;
                textBox6.Text = frm1.names[1, listBox2.SelectedIndex];
            }
            if(label11.Text=="Input2")
            {
                if (frm1.Typ[1, listBox1.SelectedIndex] == 0)
                {
                    radioButton2.Checked = true;
                }
                if (frm1.Typ[1, listBox1.SelectedIndex] == 1)
                {
                    radioButton1.Checked = true;
                    textBox7.ReadOnly = true;
                }
                textBox1.Text = frm1.Seta[1, listBox1.SelectedIndex].ToString();
                textBox2.Text = frm1.Setd[1, listBox1.SelectedIndex].ToString();
                textBox3.Text = frm1.Setb[1, listBox1.SelectedIndex].ToString();
                textBox7.Text = frm1.Setc[1, listBox1.SelectedIndex].ToString();
                textBox4.Text = frm1.names2[0, listBox1.SelectedIndex];
                listBox2.SelectedIndex = listBox1.SelectedIndex;
                textBox6.Text = frm1.names2[1, listBox2.SelectedIndex];
            }
            if (label11.Text == "Output")
            {
                textBox7.ReadOnly = true;
                textBox1.Text = frm1.setout[listBox1.SelectedIndex].ToString();
                textBox4.Text = frm1.Outnames[0, listBox1.SelectedIndex];
                listBox2.SelectedIndex = listBox1.SelectedIndex;
                textBox6.Text = frm1.Outnames[1, listBox2.SelectedIndex];
            }
        }
        private void listBox2_Click(object sender, EventArgs e)
        {
            textBox7.ReadOnly = false;
            if (label11.Text == "Input1")
            {
                if (frm1.Typ[0, listBox2.SelectedIndex] == 0)
                {
                    radioButton2.Checked = true;
                }
                if (frm1.Typ[0, listBox2.SelectedIndex] == 1)
                {
                    radioButton1.Checked = true;
                    textBox7.ReadOnly = true;
                }
                textBox1.Text = frm1.Seta[0, listBox2.SelectedIndex].ToString();
                textBox2.Text = frm1.Setd[0, listBox2.SelectedIndex].ToString();
                textBox3.Text = frm1.Setb[0, listBox2.SelectedIndex].ToString();
                textBox7.Text = frm1.Setc[0, listBox2.SelectedIndex].ToString();               
                textBox6.Text = frm1.names[1, listBox2.SelectedIndex];
                listBox1.SelectedIndex = listBox2.SelectedIndex;
                textBox4.Text = frm1.names[0, listBox1.SelectedIndex];
            }
            if (label11.Text == "Input2")
            {
                if (frm1.Typ[1, listBox2.SelectedIndex] == 0)
                {
                    radioButton2.Checked = true;
                }
                if (frm1.Typ[1, listBox2.SelectedIndex] == 1)
                {
                    radioButton1.Checked = true;
                    textBox7.ReadOnly = true;
                }

                textBox1.Text = frm1.Seta[1, listBox2.SelectedIndex].ToString();
                textBox2.Text = frm1.Setd[1, listBox2.SelectedIndex].ToString();
                textBox3.Text = frm1.Setb[1, listBox2.SelectedIndex].ToString();
                textBox7.Text = frm1.Setc[1, listBox2.SelectedIndex].ToString();
                textBox6.Text = frm1.names2[1, listBox2.SelectedIndex];
                listBox1.SelectedIndex = listBox2.SelectedIndex;
                textBox4.Text = frm1.names2[0, listBox1.SelectedIndex];                
            }
            if (label11.Text == "Output")
            {
                textBox7.ReadOnly = true;
                textBox1.Text = frm1.setout[listBox2.SelectedIndex].ToString();
                textBox6.Text = frm1.Outnames[1, listBox2.SelectedIndex];
                listBox1.SelectedIndex = listBox2.SelectedIndex;
                textBox4.Text = frm1.Outnames[0, listBox1.SelectedIndex];
            } 
        }
        public void radioButton1_CheckedChanged(object sender, EventArgs e)
        {
            textBox7.ReadOnly = true;
        }
        public void radioButton2_CheckedChanged(object sender, EventArgs e)
        {
            textBox7.ReadOnly = false;  
        }
    }
}
